Bug 1198975 - [UX] show progress for DRPM
Summary: [UX] show progress for DRPM
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, FutureFeature, Reopened, Triaged, UserExperience
: 1242588 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-05 09:16 UTC by Kamil Páral
Modified: 2017-06-09 19:05 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-09 19:05:38 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1238808 None None None Never

Internal Trackers: 1238808

Description Kamil Páral 2015-03-05 09:16:24 UTC
Description of problem:
During "downloading", I see output like this:

(77/79): qt-settings-22-2.fc23.noarch.rpm                                      542 kB/s |  22 kB     00:00    
(78/79): xcb-util-0.4.0-2.fc22_0.4.0-2.fc23.x86_64.drpm                        456 kB/s | 8.8 kB     00:00    
(79/79): libreoffice-core-4.4.1.2-1.fc23.x86_64.rpm                             35 MB/s |  78 MB     00:02    
[DRPM] autocorr-en-4.4.0.3-5.fc22_4.4.1.2-1.fc23.noarch.drpm: done                                            
[DRPM] clutter-1.21.4-1.fc23_1.21.6-1.fc23.x86_64.drpm: done                                                  
[DRPM] file-roller-3.15.90-1.fc23_3.15.91-1.fc23.x86_64.drpm: done                                            
[DRPM] control-center-3.15.90-1.fc23_3.15.91-1.fc23.x86_64.drpm: done                                         
[DRPM] gdm-3.15.91.1-1.fc23_3.15.91.2-1.fc23.x86_64.drpm: done                                                
[DRPM] glib-networking-2.43.1-1.fc22_2.43.91-1.fc23.x86_64.drpm: done                                         
[DRPM] adwaita-icon-theme-3.15.90-1.fc23_3.15.90-2.fc23.noarch.drpm: done                                     
[DRPM] gnome-calculator-3.15.4-1.fc22_3.15.91-1.fc23.x86_64.drpm: done                                        

The problem is I have no idea how long this is going to take. It would be much more friendly to provide progress numbers to these DRPMs printouts, like this:

[DRPM 1/47] autocorr-en-4.4.0.3-5.fc22_4.4.1.2-1.fc23.noarch.drpm: done                                            
[DRPM 2/47] clutter-1.21.4-1.fc23_1.21.6-1.fc23.x86_64.drpm: done                                                  
[DRPM 3/47] file-roller-3.15.90-1.fc23_3.15.91-1.fc23.x86_64.drpm: done                                            
[DRPM 4/47] control-center-3.15.90-1.fc23_3.15.91-1.fc23.x86_64.drpm: done                                         
[DRPM 5/47] gdm-3.15.91.1-1.fc23_3.15.91.2-1.fc23.x86_64.drpm: done                                                
[DRPM 6/47] glib-networking-2.43.1-1.fc22_2.43.91-1.fc23.x86_64.drpm: done                                         
[DRPM 7/47] adwaita-icon-theme-3.15.90-1.fc23_3.15.90-2.fc23.noarch.drpm: done                                     
[DRPM 8/47] gnome-calculator-3.15.4-1.fc22_3.15.91-1.fc23.x86_64.drpm: done                                        

What do you think?


Version-Release number of selected component (if applicable):
dnf-0.6.4-2.fc23.noarch

Comment 1 Honza Silhan 2015-03-17 10:00:42 UTC
Thanks for the report. The size of DRPMs is contained in prestodelta metadata so it should be possible to show the progress. Although the downloading of deltas are usually that fast that you would not see the progress bar.

Comment 2 Kamil Páral 2015-03-17 10:48:18 UTC
Hi, I think you misunderstood me. I'm talking about showing how many DRPMs have already been reconstructed into RPMs and how many of them are still waiting to be reconstructed. So I'm *not* talking about a progress bar of a) a single DRPM->RPM reconstruction phase b) anything related to downloading.

Look at the sample output snippet I posted above. This happens after all downloading is complete.

Comment 3 Jan Kurik 2015-07-15 14:27:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Honza Silhan 2015-07-29 14:03:03 UTC
*** Bug 1242588 has been marked as a duplicate of this bug. ***

Comment 5 Fdor 2015-08-09 10:08:35 UTC
Jan Silhan wrote:

> Thanks for the report. The size of DRPMs is contained in prestodelta
> metadata so it should be possible to show the progress.

Excelent.

> This bug appears to have been reported against 'rawhide' during the Fedora 
> 23 development cycle.
> Changing version to '23'.

As reported in my bug 1242588, it also happens in Fedora 22.

Comment 6 Fedora Admin XMLRPC Client 2016-07-08 09:33:45 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora End Of Life 2016-11-24 11:31:55 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Jaroslav Mracek 2017-04-20 13:33:20 UTC
I am sorry but we cannot implement that. According to my research some of DRPM are created before last package is downloaded, therefore I don't know how many elements will be in queue. Therefore the counter will not know how many elements will be there, because not for all packages downloaded drpms are available.

Comment 9 Kamil Páral 2017-04-20 13:43:53 UTC
So why not do this?

# so far we downloaded 3 DRPMs, unclear how many more we will download. first was assembled.
[DRPM 1/3+] XXX: done
# so far we downloaded 7 DRPMs, unclear how many more we will download. second was assembled.
[DRPM 2/7+] XXX: done
# third was assembled
[DRPM 3/7+] XXX: done
# we've downloaded 15 DRPMs and we know we won't download any more. fourth was assembled.
[DRPM 4/15] XXX: done
...
# last one was assembled
[DRPM 15/15] XXX: done


Or if this is easier for you:
[DRPM 1/?] XXX: done
[DRPM 2/?] XXX: done
[DRPM 3/?] XXX: done
[DRPM 4/15] XXX: done
...
[DRPM 15/15] XXX: done

Comment 10 Jaroslav Mracek 2017-04-20 15:28:45 UTC
Ok, here is PR https://github.com/rpm-software-management/dnf/pull/790

Comment 11 Jaroslav Mracek 2017-04-20 16:39:35 UTC
I found an impossible and it should work like it was originally requested. Unfortunately it requires change in API.

Comment 12 Fedora Update System 2017-05-22 12:39:56 UTC
dnf-plugins-extras-2.0.1-1.fc26 dnf-plugins-core-2.1.0-1.fc26 libdnf-0.9.0-1.fc26 dnf-2.5.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 13 Fedora Update System 2017-05-22 16:39:37 UTC
dnf-2.5.0-1.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 14 Fedora Update System 2017-05-24 08:31:03 UTC
dnf-2.5.0-1.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.17-3.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 15 Fedora Update System 2017-05-24 14:32:33 UTC
dnf-2.5.0-2.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.18-1.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 16 Fedora Update System 2017-05-25 19:17:08 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 17 Fedora Update System 2017-06-09 19:05:38 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.